Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 785640 - >=app-office/libreoffice-7 re-keywording x86
Summary: >=app-office/libreoffice-7 re-keywording x86
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 788112 785967
  Show dependency tree
 
Reported: 2021-04-25 16:47 UTC by Andreas Sturmlechner
Modified: 2021-06-10 15:34 UTC (History)
0 users

See Also:
Package list:
app-office/libreoffice-7.1.3.2 ~x86 app-office/libreoffice-l10n-7.1.3.2 ~x86 dev-libs/liborcus-0.16.1 ~x86 dev-libs/libixion-0.16.1 ~x86
Runtime testing required: ---
nattka: sanity-check-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2021-04-25 16:47:08 UTC
Short summary:

- app-office/libreoffice[java] needs >=JDK-9 to build (only >=JRE-8 to run)
- virtual/jdk:11 is masked and lacks x86 keyword, unlikely to get it, bug 729790
- dev-java/icedtea-4 is M.I.A, bug 629252

While IUSE=-java for the most part only results in some wizards missing, it is an integral part of LibreOffice Base, hence REQUIRED_USE="base? ( java )"

There are no good options here and we may need to accept that x86 users will get a broken Base component.
Comment 1 Larry the Git Cow gentoo-dev 2021-04-25 17:53:35 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=868ba2575fb9d24535ce954cefd0134b889089aa

commit 868ba2575fb9d24535ce954cefd0134b889089aa
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-04-25 17:52:01 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-04-25 17:53:17 +0000

    profiles: x86: Mask >=app-office/libreoffice-7[base,java]
    
    Bug: https://bugs.gentoo.org/785640
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/arch/x86/package.use.mask | 5 +++++
 1 file changed, 5 insertions(+)
Comment 2 NATTkA bot gentoo-dev 2021-04-25 18:00:27 UTC Comment hidden (obsolete)
Comment 3 Andreas Sturmlechner gentoo-dev 2021-04-25 18:01:09 UTC
right.
Comment 4 NATTkA bot gentoo-dev 2021-04-25 18:04:27 UTC Comment hidden (obsolete)
Comment 5 Larry the Git Cow gentoo-dev 2021-05-04 22:57:14 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46228c2ee31b278182016969395b3797fc19ee28

commit 46228c2ee31b278182016969395b3797fc19ee28
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-05-04 22:17:29 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-05-04 22:56:46 +0000

    app-office/libreoffice: Bad news for x86 and IUSE="base,java"
    
    Bug: https://bugs.gentoo.org/785640
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-office/libreoffice/libreoffice-7.1.9999.ebuild | 14 ++++++++++----
 app-office/libreoffice/libreoffice-9999.ebuild     | 14 ++++++++++----
 2 files changed, 20 insertions(+), 8 deletions(-)
Comment 6 NATTkA bot gentoo-dev 2021-05-04 23:36:26 UTC
Unable to check for sanity:

> package masked: app-office/libreoffice-7.1.3.2
Comment 7 Larry the Git Cow gentoo-dev 2021-05-06 20:09:35 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1a8900ddbf5cde6d418e477f36e4ce337cc6dac

commit a1a8900ddbf5cde6d418e477f36e4ce337cc6dac
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-05-04 23:35:21 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-05-06 20:04:06 +0000

    app-office/libreoffice: Re-add ~x86 keyword to 7.1.3.2
    
    Closes: https://bugs.gentoo.org/785640
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-office/libreoffice/libreoffice-7.1.3.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7022e4d957a9e06b7c12cc8ee7f052c196d5ee45

commit 7022e4d957a9e06b7c12cc8ee7f052c196d5ee45
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-05-04 23:34:29 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-05-06 20:04:06 +0000

    app-office/libreoffice-l10n: Re-add ~x86 keyword to 7.1.3.2
    
    Bug: https://bugs.gentoo.org/785640
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-office/libreoffice-l10n/libreoffice-l10n-7.1.3.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd7373f1a1dfab29dba4f2e848311240602255ee

commit bd7373f1a1dfab29dba4f2e848311240602255ee
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-05-04 23:33:53 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-05-06 20:04:05 +0000

    dev-libs/liborcus: Re-add ~x86 keyword to 0.16.1
    
    Bug: https://bugs.gentoo.org/785640
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-libs/liborcus/liborcus-0.16.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33ff4910b8e475cec3e12c03d0e2f6684214e464

commit 33ff4910b8e475cec3e12c03d0e2f6684214e464
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-05-04 23:33:27 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-05-06 20:04:05 +0000

    dev-libs/libixion: Re-add ~x86 keyword to 0.16.1
    
    Bug: https://bugs.gentoo.org/785640
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-libs/libixion/libixion-0.16.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 Larry the Git Cow gentoo-dev 2021-06-10 15:34:45 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d517dce9c09633572f3ca2c583e76dea42d6977c

commit d517dce9c09633572f3ca2c583e76dea42d6977c
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-06-10 13:15:56 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-06-10 15:32:15 +0000

    app-officeext/ooo2gd: Drop ~x86 for app-office/libreoffice[java]
    
    - app-office/libreoffice[java] is masked for ~x86.
    - EAPI-7 bump.
    
    Bug: https://bugs.gentoo.org/785640
    Package-Manager: Portage-3.0.19, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 .../ooo2gd/{ooo2gd-3.0.0-r1.ebuild => ooo2gd-3.0.0-r2.ebuild}       | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=788adf6a7e3b13f83b01e77d4b9bb0b4f43ba7bd

commit 788adf6a7e3b13f83b01e77d4b9bb0b4f43ba7bd
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-06-10 13:14:00 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-06-10 15:32:15 +0000

    app-officeext/languagetool: Drop ~x86 for app-office/libreoffice[java]
    
    app-office/libreoffice[java] is masked for ~x86.
    
    Bug: https://bugs.gentoo.org/785640
    Package-Manager: Portage-3.0.19, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 .../{languagetool-5.1.3.ebuild => languagetool-5.1.3-r1.ebuild}       | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)